% Version 1.0.0 8/9/2020
global bUseDiary
global bDeleteIfExists

bUseDiary = true;
bDeleteIfExists = true; % or false
selIdx = 0; % note a zero value will execute all the models
runNum = 1;
bShutdown = false;

tic;

if selIdx==0 || selIdx==1
  lstA = [0 0.5];
  lstB = [0.1 0.5];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstOrder(2) lstOrder(2)];  
  gx = @(i,A,B)A+B*i;
  PadeShamPoly2(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_1.txt")
  PadeShamPoly2(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_1.txt")
  PadeShamPoly2(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_1.txt")
  PadeShamPoly2(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_1.txt")
  PadeShamPoly2(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_1.txt")
  PadeShamPoly2(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_1.txt")
  PadeShamPoly2(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_1.txt")
  PadeShamPoly2(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_1.txt")
  PadeShamPoly2(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_1.txt")
  PadeShamPoly2(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_1.txt")
  PadeShamPoly2(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_1.txt")
  PadeShamPoly2(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_1.txt")
  PadeShamPoly2(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_1.txt")
  PadeShamPoly2(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_1.txt")
  PadeShamPoly2(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_1.txt")
  PadeShamPoly2(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_1.txt")
  PadeShamPoly2(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_1.txt")
  PadeShamPoly2(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_1.txt")
  PadeShamPoly2(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"tigamma(x)","trigamma_1.txt")
  PadeShamPoly2(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_1.txt")
  PadeShamPoly2(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_1.txt")
  PadeShamPoly2(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_1.txt")
  PadeShamPoly2(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_1.txt")
  PadeShamPoly2(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_1.txt")
  PadeShamPoly2(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_1.txt")
  PadeShamPoly2(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_1.txt")
  PadeShamPoly2(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_1.txt")
  PadeShamPoly2(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_1.txt")
  PadeShamPoly2(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","CI_1.txt")
  PadeShamPoly2(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_1.txt")
  PadeShamPoly2(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_1.txt")
  PadeShamPoly2(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_1.txt")
end

if selIdx==0 || selIdx==2
  lstA = [0 2];
  lstB = [0.1 2];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstOrder(2) lstOrder(2)];  
  gx = @(i,A,B)A+B/i;
  PadeShamPoly2(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_2.txt")
  PadeShamPoly2(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_2.txt")
  PadeShamPoly2(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_2.txt")
  PadeShamPoly2(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_2.txt")
  PadeShamPoly2(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_2.txt")  
  PadeShamPoly2(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_2.txt")
  PadeShamPoly2(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_2.txt")
  PadeShamPoly2(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_2.txt")
  PadeShamPoly2(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_2.txt")
  PadeShamPoly2(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_2.txt")
  PadeShamPoly2(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_2.txt")
  PadeShamPoly2(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_2.txt")
  PadeShamPoly2(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_2.txt")
  PadeShamPoly2(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_2.txt")
  PadeShamPoly2(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_2.txt")
  PadeShamPoly2(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_2.txt")
  PadeShamPoly2(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_2.txt")
  PadeShamPoly2(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_2.txt")
  PadeShamPoly2(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_2.txt")
  PadeShamPoly2(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_2.txt")
  PadeShamPoly2(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_2.txt")
  PadeShamPoly2(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_2.txt")
  PadeShamPoly2(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_2.txt")
  PadeShamPoly2(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_2.txt")
  PadeShamPoly2(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_2.txt")  
  PadeShamPoly2(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_2.txt")
  PadeShamPoly2(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_2.txt")
  PadeShamPoly2(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_2.txt")
  PadeShamPoly2(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_2.txt")  
  PadeShamPoly2(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_2.txt")
  PadeShamPoly2(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_2.txt")
  PadeShamPoly2(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_2.txt")
end

if selIdx==0 || selIdx==3
  lstA = [0 1.4];
  lstB = [0.1 1];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstOrder(2) lstOrder(2)];  
  gx = @(i,A,B)A+B*sqrt(i);
  PadeShamPoly2(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_3.txt")
  PadeShamPoly2(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_3.txt")
  PadeShamPoly2(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_3.txt")
  PadeShamPoly2(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_3.txt")
  PadeShamPoly2(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_3.txt")  
  PadeShamPoly2(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_3.txt")
  PadeShamPoly2(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_3.txt")
  PadeShamPoly2(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_3.txt")
  PadeShamPoly2(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_3.txt")
  PadeShamPoly2(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_3.txt")
  PadeShamPoly2(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_3.txt")
  PadeShamPoly2(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_3.txt")
  PadeShamPoly2(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_3.txt")
  PadeShamPoly2(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_3.txt")
  PadeShamPoly2(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_3.txt")
  PadeShamPoly2(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_3.txt")
  PadeShamPoly2(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_3.txt")
  PadeShamPoly2(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_3.txt")
  PadeShamPoly2(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_3.txt")
  PadeShamPoly2(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_3.txt")
  PadeShamPoly2(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_3.txt")
  PadeShamPoly2(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_3.txt")
  PadeShamPoly2(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_3.txt")
  PadeShamPoly2(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_3.txt")
  PadeShamPoly2(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_3.txt")  
  PadeShamPoly2(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_3.txt")
  PadeShamPoly2(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_3.txt")
  PadeShamPoly2(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_3.txt")
  PadeShamPoly2(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_3.txt")  
  PadeShamPoly2(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_3.txt")
  PadeShamPoly2(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_3.txt")
  PadeShamPoly2(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_3.txt")
end

if selIdx==0 || selIdx==4
  lstA = [0 1];
  lstB = [0.1 1];
  lstC = [0 2];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstC(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstC(2) lstOrder(2) lstOrder(2)];  
  gx = @(i,A,B,C)A+B*sqrt(i+C);
  PadeShamPoly3(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_4.txt")
  PadeShamPoly3(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_4.txt")
  PadeShamPoly3(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_4.txt")
  PadeShamPoly3(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_4.txt")
  PadeShamPoly3(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_4.txt") 
  PadeShamPoly3(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_4.txt")
  PadeShamPoly3(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_4.txt")
  PadeShamPoly3(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_4.txt")
  PadeShamPoly3(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_4.txt")
  PadeShamPoly3(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_4.txt")
  PadeShamPoly3(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_4.txt")
  PadeShamPoly3(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_4.txt")
  PadeShamPoly3(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_4.txt")
  PadeShamPoly3(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_4.txt")
  PadeShamPoly3(@(x)tinv(0.95,x),gx,[2:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_4.txt")
  PadeShamPoly3(@(x)tinv(0.975,x),gx,[2:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_4.txt")
  PadeShamPoly3(@(x)log10(gamma(x)),gx,[2:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_4.txt")
  PadeShamPoly3(@(x)digamma(x),gx,[2:100],Lb,Ub,runNum,"digamma(x)","digamma_4.txt")
  PadeShamPoly3(@(x)trigamma(x),gx,[1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_4.txt")
  PadeShamPoly3(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_4.txt")
  PadeShamPoly3(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_4.txt")
  PadeShamPoly3(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_4.txt")
  PadeShamPoly3(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_4.txt")
  PadeShamPoly3(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_4.txt")
  PadeShamPoly3(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_4.txt")  
  PadeShamPoly3(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_4.txt")
  PadeShamPoly3(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_4.txt")
  PadeShamPoly3(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_4.txt")
  PadeShamPoly3(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_4.txt")   
  PadeShamPoly3(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_4.txt")
  PadeShamPoly3(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_4.txt")
  PadeShamPoly3(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_4.txt") 
end

if selIdx==0 || selIdx==5
  lstA = [0 0.5];
  lstB = [0.1 0.27];
  lstC = [0 0.27];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstC(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstC(2) lstOrder(2) lstOrder(2)]; 
  gx = @(i,A,B,C)A+B*i+C*(i-1);
  PadeShamPoly3(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_5.txt")
  PadeShamPoly3(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_5.txt")
  PadeShamPoly3(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_5.txt")
  PadeShamPoly3(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_5.txt")
  PadeShamPoly3(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_5.txt")  
  PadeShamPoly3(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_5.txt")
  PadeShamPoly3(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_5.txt")
  PadeShamPoly3(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_5.txt")
  PadeShamPoly3(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_5.txt")
  PadeShamPoly3(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_5.txt")
  PadeShamPoly3(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_5.txt")
  PadeShamPoly3(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_5.txt")
  PadeShamPoly3(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_5.txt")
  PadeShamPoly3(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_5.txt")
  PadeShamPoly3(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_5.txt")
  PadeShamPoly3(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_5.txt")
  PadeShamPoly3(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_5.txt")
  PadeShamPoly3(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_5.txt")
  PadeShamPoly3(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_5.txt")
  PadeShamPoly3(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_5.txt")
  PadeShamPoly3(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_5.txt")
  PadeShamPoly3(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_5.txt")
  PadeShamPoly3(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_5.txt")
  PadeShamPoly3(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_5.txt")
  PadeShamPoly3(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_5.txt")   
  PadeShamPoly3(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_5.txt")
  PadeShamPoly3(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_5.txt")
  PadeShamPoly3(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_5.txt")
  PadeShamPoly3(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_5.txt")  
  PadeShamPoly3(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_5.txt")
  PadeShamPoly3(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_5.txt")
  PadeShamPoly3(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_5.txt")
end

if selIdx==0 || selIdx==6
  lstA = [0 0.75];
  lstB = [0.1 0.25];
  lstC = [0 0.25];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstC(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstC(2) lstOrder(2) lstOrder(2)]; 
  gx = @(i,A,B,C)A+B*i-C*(i-1);
  PadeShamPoly3(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_6.txt")
  PadeShamPoly3(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_6.txt")
  PadeShamPoly3(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_6.txt")
  PadeShamPoly3(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_6.txt")
  PadeShamPoly3(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_6.txt") 
  PadeShamPoly3(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_6.txt")
  PadeShamPoly3(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_6.txt")
  PadeShamPoly3(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_6.txt")
  PadeShamPoly3(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_6.txt")
  PadeShamPoly3(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_6.txt")
  PadeShamPoly3(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_6.txt")
  PadeShamPoly3(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_6.txt")
  PadeShamPoly3(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_6.txt")
  PadeShamPoly3(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_6.txt")
  PadeShamPoly3(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_6.txt")
  PadeShamPoly3(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_6.txt")
  PadeShamPoly3(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_6.txt")
  PadeShamPoly3(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_6.txt")
  PadeShamPoly3(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_6.txt")
  PadeShamPoly3(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_6.txt")
  PadeShamPoly3(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_6.txt")
  PadeShamPoly3(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_6.txt")
  PadeShamPoly3(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_6.txt")
  PadeShamPoly3(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_6.txt")
  PadeShamPoly3(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_6.txt")   
  PadeShamPoly3(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_6.txt")
  PadeShamPoly3(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_6.txt")
  PadeShamPoly3(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_6.txt")
  PadeShamPoly3(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_6.txt")  
  PadeShamPoly3(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_6.txt")
  PadeShamPoly3(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_6.txt")
  PadeShamPoly3(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_6.txt")
end

if selIdx==0 || selIdx==7
  lstA = [0 0.34];
  lstB = [0.1 0.39];
  lstC = [0 0.36];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstC(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstC(2) lstOrder(2) lstOrder(2)];  
  gx = @(i,A,B,C)A+B*i+C*sqrt(i-1);
  PadeShamPoly3(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_7.txt")
  PadeShamPoly3(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_7.txt")
  PadeShamPoly3(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_7.txt")
  PadeShamPoly3(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_7.txt")
  PadeShamPoly3(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_7.txt") 
  PadeShamPoly3(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_7.txt")
  PadeShamPoly3(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_7.txt")
  PadeShamPoly3(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_7.txt")
  PadeShamPoly3(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_7.txt")
  PadeShamPoly3(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_7.txt")
  PadeShamPoly3(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_7.txt")
  PadeShamPoly3(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_7.txt")
  PadeShamPoly3(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_7.txt")
  PadeShamPoly3(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_7.txt")
  PadeShamPoly3(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_7.txt")
  PadeShamPoly3(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_7.txt")
  PadeShamPoly3(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_7.txt")
  PadeShamPoly3(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_7.txt")
  PadeShamPoly3(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_7.txt")
  PadeShamPoly3(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_7.txt")
  PadeShamPoly3(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_7.txt")
  PadeShamPoly3(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_7.txt")
  PadeShamPoly3(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_7.txt")
  PadeShamPoly3(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_7.txt")
  PadeShamPoly3(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_7.txt")   
  PadeShamPoly3(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_7.txt")
  PadeShamPoly3(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_7.txt")
  PadeShamPoly3(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_7.txt")
  PadeShamPoly3(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_7.txt")  
  PadeShamPoly3(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_7.txt")
  PadeShamPoly3(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_7.txt")
  PadeShamPoly3(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_7.txt")
end

if selIdx==0 || selIdx==8
  lstA = [0 0.55];
  lstB = [0.1 0.4];
  lstC = [0 0.4];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstC(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstC(2) lstOrder(2) lstOrder(2)]; 
  gx = @(i,A,B,C)A+B*sqrt(i)+C*(i-1);
  PadeShamPoly3(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_8.txt")
  PadeShamPoly3(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_8.txt")
  PadeShamPoly3(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_8.txt")
  PadeShamPoly3(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_8.txt")
  PadeShamPoly3(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_8.txt")  
  PadeShamPoly3(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_8.txt")
  PadeShamPoly3(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_8.txt")
  PadeShamPoly3(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_8.txt")
  PadeShamPoly3(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_8.txt")
  PadeShamPoly3(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_8.txt")
  PadeShamPoly3(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_8.txt")
  PadeShamPoly3(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_8.txt")
  PadeShamPoly3(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_8.txt")
  PadeShamPoly3(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_8.txt")
  PadeShamPoly3(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_8.txt")
  PadeShamPoly3(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_8.txt")
  PadeShamPoly3(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_8.txt")
  PadeShamPoly3(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_8.txt")
  PadeShamPoly3(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_8.txt")
  PadeShamPoly3(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_8.txt")
  PadeShamPoly3(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_8.txt")
  PadeShamPoly3(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_8.txt")
  PadeShamPoly3(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_8.txt")
  PadeShamPoly3(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_8.txt")
  PadeShamPoly3(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_8.txt")   
  PadeShamPoly3(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_8.txt")
  PadeShamPoly3(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_8.txt")
  PadeShamPoly3(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_8.txt")
  PadeShamPoly3(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_8.txt")  
  PadeShamPoly3(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_8.txt")
  PadeShamPoly3(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_8.txt")
  PadeShamPoly3(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_8.txt")
end

if selIdx==0 || selIdx==9
  lstA = [0 0.5];
  lstB = [0.1 0.7];
  lstC = [0 0.7];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstC(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstC(2) lstOrder(2) lstOrder(2)];  
  gx = @(i,A,B,C)A+B*sqrt(i)+C*sqrt(i-1);
  PadeShamPoly3(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_9.txt")
  PadeShamPoly3(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_9.txt")
  PadeShamPoly3(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_9.txt")
  PadeShamPoly3(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_9.txt")
  PadeShamPoly3(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_9.txt")  
  PadeShamPoly3(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_9.txt")
  PadeShamPoly3(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_9.txt")
  PadeShamPoly3(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_9.txt")
  PadeShamPoly3(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_9.txt")
  PadeShamPoly3(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_9.txt")
  PadeShamPoly3(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_9.txt")
  PadeShamPoly3(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_9.txt")
  PadeShamPoly3(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_9.txt")
  PadeShamPoly3(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_9.txt")
  PadeShamPoly3(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_9.txt")
  PadeShamPoly3(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_9.txt")
  PadeShamPoly3(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_9.txt")
  PadeShamPoly3(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_9.txt")
  PadeShamPoly3(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_9.txt")
  PadeShamPoly3(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_9.txt")
  PadeShamPoly3(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_9.txt")
  PadeShamPoly3(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_9.txt")
  PadeShamPoly3(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_9.txt")
  PadeShamPoly3(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_9.txt")
  PadeShamPoly3(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_9.txt")   
  PadeShamPoly3(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_9.txt")
  PadeShamPoly3(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_9.txt")
  PadeShamPoly3(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_9.txt")
  PadeShamPoly3(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_9.txt")  
  PadeShamPoly3(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_9.txt")
  PadeShamPoly3(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_9.txt")
  PadeShamPoly3(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_9.txt")
end

if selIdx==0 || selIdx==10
  lstA = [0 2.2];
  lstB = [0.1 3.5];
  lstOrder = [3 7];
  Lb = [lstA(1) lstB(1) lstOrder(1) lstOrder(1)];
  Ub = [lstA(2) lstB(2) lstOrder(2) lstOrder(2)];  
  gx = @(i,A,B)A+B*log10(i)^4;
  PadeShamPoly2(@(x)acos(x),gx,[0:.01:1],Lb,Ub,runNum,"arccos(x)","arccos_10.txt")
  PadeShamPoly2(@(x)asin(x),gx,[0:.01:1],Lb,Ub,runNum,"arcsin(x)","arcsin_10.txt")
  PadeShamPoly2(@(x)atan(x),gx,[0:.01:1],Lb,Ub,runNum,"arctan(x)","arctan_10.txt")
  PadeShamPoly2(@(x)sin(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"sin(x)","sin_10.txt")
  PadeShamPoly2(@(x)cos(x),gx,[0:pi/1000:pi/2],Lb,Ub,runNum,"cos(x)","cos_10.txt")  
  PadeShamPoly2(@(x)tan(x),gx,[0:.01:1],Lb,Ub,runNum,"tan(x)","tan_10.txt")
  PadeShamPoly2(@(x)sinh(x),gx,[0:.01:5],Lb,Ub,runNum,"sinh(x)","sinh_10.txt")
  PadeShamPoly2(@(x)cosh(x),gx,[0:.01:5],Lb,Ub,runNum,"cosh(x)","cosh_10.txt")
  PadeShamPoly2(@(x)tanh(x),gx,[0:.01:3],Lb,Ub,runNum,"tanh(x)","tanh_10.txt")
  PadeShamPoly2(@(x)erf(x),gx,[0:.01:2.1],Lb,Ub,runNum,"erf(x)","erf_10.txt")
  PadeShamPoly2(@(x)exp(x),gx,[0:.01:2],Lb,Ub,runNum,"exp(x)","exp_10.txt")
  PadeShamPoly2(@(x)log(x),gx,[1:.01:10],Lb,Ub,runNum,"ln(x)","ln_10.txt")
  PadeShamPoly2(@(x)log10(x),gx,[1:.01:10],Lb,Ub,runNum,"log(x)","log_10.txt")
  PadeShamPoly2(@(x)10.^x,gx,[0:.01:1],Lb,Ub,runNum,"10^x","pwr10_10.txt")
  PadeShamPoly2(@(x)tinv(0.95,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.95,x)","tinv1_10.txt")
  PadeShamPoly2(@(x)tinv(0.975,x),gx,[2:0.1:100],Lb,Ub,runNum,"tinv(0.975,x)","tinv2_10.txt")
  PadeShamPoly2(@(x)log10(gamma(x)),gx,[2:0.1:100],Lb,Ub,runNum,"log10Gamma(x)","log10Gamma_10.txt")
  PadeShamPoly2(@(x)digamma(x),gx,[2:0.1:100],Lb,Ub,runNum,"digamma(x)","digamma_10.txt")
  PadeShamPoly2(@(x)trigamma(x),gx,[1:0.1:100],Lb,Ub,runNum,"trigamma(x)","trigamma_10.txt")
  PadeShamPoly2(@(x)besselj(0,x),gx,[2:0.1:30],Lb,Ub,runNum,"J0(x)","J0x_10.txt")
  PadeShamPoly2(@(x)besselj(1,x),gx,[0:0.1:30],Lb,Ub,runNum,"J1(x)","J1x_10.txt")
  PadeShamPoly2(@(x)besselj(2,x),gx,[0:0.1:30],Lb,Ub,runNum,"J2(x)","J2x_10.txt")
  PadeShamPoly2(@(x)besselj(3,x),gx,[0:0.1:30],Lb,Ub,runNum,"J3(x)","J3x_10.txt")
  PadeShamPoly2(@(x)besselj(4,x),gx,[0:0.1:30],Lb,Ub,runNum,"J4(x)","J4x_10.txt")
  PadeShamPoly2(@(x)besselj(5,x),gx,[0:0.1:30],Lb,Ub,runNum,"J5(x)","J5x_10.txt")   
  PadeShamPoly2(@(x)integral(@(z)sin(z.^2),0,x),gx,[1:0.01:5],Lb,Ub,runNum,"FresnelSine(x)","FresnelSine_10.txt")
  PadeShamPoly2(@(x)integral(@(z)cos(z.^2),0,x),gx,[0.5:0.01:5],Lb,Ub,runNum,"FresnelCosine(x)","FresnelCosine_10.txt")
  PadeShamPoly2(@(x)integral(@(z)sin(z)./z,0,x),gx,[1.3:0.1:20],Lb,Ub,runNum,"Si(x)","Si_10.txt")
  PadeShamPoly2(@(x)0.57721566+log(x)-integral(@(z)(1-cos(z))./z,0,x),gx,[0.5:0.1:20],Lb,Ub,runNum,"Ci(x)","Ci_10.txt")  
  PadeShamPoly2(@(x)asinh(x),gx,[0:0.1:100],Lb,Ub,runNum,"asinh(x)","asinh_10.txt")
  PadeShamPoly2(@(x)acosh(x),gx,[1:0.1:100],Lb,Ub,runNum,"acosh(x)","acosh_10.txt")
  PadeShamPoly2(@(x)atanh(x),gx,[0:0.001:0.999],Lb,Ub,runNum,"atanh(x)","atanh_10.txt")
end

toc;

% make some sound
playmynotes()

if bShutdown
  system('shutdown -s');
else
  fprintf("\n\nDone!\n\n");
end